This project takes inspiration from the [blueprints](https://gitlab.com/gitlab-org/gitlab/-/tree/master/doc/architecture/blueprints) approach developers use for their [architecture workflows](https://about.gitlab.com/handbook/engineering/architecture/workflow/). It is not intended to be as heavy-weight and as [process-intensive](https://about.gitlab.com/handbook/engineering/architecture/workflow/#design-workflow-the-detailed-view) as the defined architecture workflow as it may be an overkill for some of the security features AppSec and/or Product Security Engineering may work on. Nevertheless, we may benefit from having a blueprint, for "complicated-enough" security features, that would summarize the problem we are trying to solve, why and how we are going to solve it, so that everybody is on the same page.